Download it now!
Bug 127166 - FILEOPEN PPT some preset DashDot styles are missing, some wrongly drawn
Summary: FILEOPEN PPT some preset DashDot styles are missing, some wrongly drawn
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-26 12:55 UTC by Regina Henschel
Modified: 2019-09-07 20:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
presetDashDot.ppt test file (91.50 KB, application/vnd.ms-powerpoint)
2019-08-26 12:55 UTC, Regina Henschel
Details
Screenshot of PowerPoint 365 (15.90 KB, image/png)
2019-08-26 12:55 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-08-26 12:55:04 UTC
Created attachment 153663 [details]
presetDashDot.ppt test file

Open attached document and compare it with the attached screen shot of how it looks in PowerPoint.

Notice the solid lines, where there should be a dashing, and notice the wrong start with dot, where it should start with dash.
Comment 1 Regina Henschel 2019-08-26 12:55:49 UTC
Created attachment 153664 [details]
Screenshot of PowerPoint 365
Comment 2 raal 2019-08-26 16:59:16 UTC
confirm with Version: 6.4.0.0.alpha0+
Build ID: 2bed8af91fc2654b9ed2432f969d32d5741a529b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 3 Commit Notification 2019-09-05 10:38:30 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/57c9bdab377a00649299d1a4c9ed2f9e5e03b84e%5E%21

tdf#127166, tdf#123903 improve import/export of line styles

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Regina Henschel 2019-09-07 20:13:46 UTC
Fix is available in Version: 6.4.0.0.alpha0+ (x64)
Build ID: 61b757f31f25cda6d595f64226181c7a82ce8d7f
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-07_17:48:35
Locale: en-US (en_US); UI-Language: en-US
Calc: CL